version: "3.4"

x-logging: &default-logging
    driver: "json-file"
    options:
        max-size: "500k"
        max-file: "10"

services:
  gatus:
    image: twinproduction/gatus:v{{ gatus_version }}
    restart: unless-stopped
    expose:
      - 8080
    networks:
      - web
    volumes:
      - ./config/config.yaml:/config/config.yaml:ro
      - {{ data_path }}:/data
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=web"
      - "traefik.http.routers.{{ gatus_name }}-gatus.entrypoints=websecure"
      - "traefik.http.routers.{{ gatus_name }}-gatus.rule=Host(`{{ gatus_domain }}`)"
      - "traefik.http.routers.{{ gatus_name }}-gatus.tls.certresolver=httpsresolver"
      - "traefik.http.services.{{ gatus_name }}-gatus.loadbalancer.server.port=8080"
networks:
    web:
        external: true
